---
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size:
vm-scalability:
  test: lru-file-mmap-read
job_origin: vm-scalability.yaml
queue: bisect
testbox: lkp-emr-2sp1
commit: 0f76dc379dd65508b7935ee714de6b01457ec1e2
compiler: gcc-12
branch: opencloudos/next
kconfig: x86_64-oc_stream_base_config
repeat_to: 3
name: "/cephfs/tmp/d20241001-56787-rzynmd/vm-scalability.yaml"
kernel_cmdline:
tbox_group: lkp-emr-2sp1
job_file: "/lkp/jobs/scheduled/lkp-emr-2sp1/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-0f76dc379dd6-20241013-611173-7tkmjg-2.yaml"
id: e76c8e0115ddcde1b6e44827bbe7f55b67ea7c4a
queuer_version: "/zday/lkp"
model: Emerald Rapids
nr_node: 4
nr_cpu: 256
memory: 256G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part3"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BA400G4_BTHV611200UP400NGN-part1"
kernel_cmdline_hw: acpi_rsdp=0x6f7fe014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: INTEL(R) XEON(R) PLATINUM 8592+
belongs_to: opencloudos
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
cpufreq_governor: performance
sanity-check:
ucode: '0x21000160'
need_kernel_version:
- ">= v5.4.119, gcc"
- ">= v5.4.119, clang"
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-10-13 22:30:22.535413832 +08:00
_rt: "/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/0f76dc379dd65508b7935ee714de6b01457ec1e2"
user: lkp
scheduler_version: "/lkp/lkp/.src-20241012-133605"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/0f76dc379dd65508b7935ee714de6b01457ec1e2/0
- BOOT_IMAGE=/pkg/linux/x86_64-oc_stream_base_config/gcc-12/0f76dc379dd65508b7935ee714de6b01457ec1e2/vmlinuz-6.6.20-00283-g0f76dc379dd6
- branch=opencloudos/next
- job=/lkp/jobs/scheduled/lkp-emr-2sp1/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-0f76dc379dd6-20241013-611173-7tkmjg-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-oc_stream_base_config
- commit=0f76dc379dd65508b7935ee714de6b01457ec1e2
- intremap=posted_msi
- acpi_rsdp=0x6f7fe014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-oc_stream_base_config/gcc-12/0f76dc379dd65508b7935ee714de6b01457ec1e2/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240901.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-431c1646e1f8-1_20240901.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-emr-2sp1/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-0f76dc379dd6-20241013-611173-7tkmjg-2.cgz"
last_kernel: 6.6.47-01386-g3910ca8de76e
acpi_rsdp: '0x6f7fe014'
bad_samples:
- 44523923
- 43368340
- 40878146

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
- force_schedule

#! user overrides
kbuild_queue_analysis: 1
force_schedule: 1
kernel: "/pkg/linux/x86_64-oc_stream_base_config/gcc-12/0f76dc379dd65508b7935ee714de6b01457ec1e2/vmlinuz-6.6.20-00283-g0f76dc379dd6"
result_root: "/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/0f76dc379dd65508b7935ee714de6b01457ec1e2/0"

#! schedule options

#! /db/releases/20241012134741/lkp-src/include/site/inn
dequeue_time: 2024-10-13 23:06:25.295669782 +08:00
job_state: finished
loadavg: 106.02 69.32 27.76 1/2262 15630
start_time: '1728831580'
end_time: '1728831706'
version: "/lkp/lkp/.src-20241012-133605:0f17492d34c2:dbe0954d3cbf"
